---
title: "Blog"
url: "https://developer.kong-sales-engineering.com/apis/blog-api/versions/282653c7-b411-4b9b-869c-da03d9b5d1e0"
---

# Blog

OpenAPI specification document.

```json
{"openapi":"3.0.0","info":{"version":"2.3.0","title":"Blog","license":{"name":"Apache 2.0"},"description":"Blog Service APIs","contact":{"name":"Kong-dev"}},"servers":[{"url":"https://shared-services.kong-sales-engineering.com"}],"paths":{"/blogs":{"post":{"operationId":"addBlog","summary":"Add a blog","description":"This API adds a blog","requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"text":{"type":"string","default":"my new blog"}}}}}},"responses":{"200":{"description":"Blog"}},"tags":["blog"]},"get":{"operationId":"getBlogs","summary":"Get blogs","description":"This API gets all blogs","responses":{"200":{"description":"Blog"}},"tags":["blog"]}},"/blogs/{id}":{"get":{"operationId":"getBlogById","summary":"Get a blog by id","description":"This API gets a blog by ID","parameters":[{"name":"id","in":"path","description":"ID of the blog to retrieve","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Blog"}},"tags":["blog"]}}},"tags":[{"name":"blog"}],"security":[{"basicAuth":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"}}}}
```
